Attribute VB_Name = "USBmAPI"

'---------------------------------------------------------------------------
' USBm USB dynamic link library VB API
'
'
' Author:           Robert Severson
'
' File:             USBmAPI.bas
'
' Creation Date:    2003-08-06 (project revamp)
'
' Description:      USB DLL for U4xx
'
' Copyright:        Copyright (C), Robert R. Severson 2003. All rights
'                   reserved. Created in the year 2003 as an unpublished
'                   copyright work. This program and the information
'                   contained in it is property of Robert R. Severson
'                   and may not be used, copied, or reproduced without
'                   prior written permission of Robert R. Severson
'
'                   This software remains the property of Robert R.
'                   Severson and is supplied under licence only. The use
'                   of this software is permitted under the terms of that
'                   licence only.
'
'---------------------------------------------------------------------------




'---------------------------------------------------------------------------
' USBm_NumberOfDevices
'---------------------------------------------------------------------------
Public Declare Function USBm_NumberOfDevices _
    Lib "USBm.dll" _
        () _
    As Integer


'---------------------------------------------------------------------------
' USBm_DeviceValid
'---------------------------------------------------------------------------
Public Declare Function USBm_DeviceValid _
    Lib "USBm.dll" _
        (ByVal device As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_DeviceVID
'---------------------------------------------------------------------------
Public Declare Function USBm_DeviceVID _
    Lib "USBm.dll" _
        (ByVal device As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_DevicePID
'---------------------------------------------------------------------------
Public Declare Function USBm_DevicePID _
    Lib "USBm.dll" _
        (ByVal device As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_DeviceDID
'---------------------------------------------------------------------------
Public Declare Function USBm_DeviceDID _
    Lib "USBm.dll" _
        (ByVal device As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_DeviceFirmwareVer
'---------------------------------------------------------------------------
Public Declare Function USBm_DeviceFirmwareVer _
    Lib "USBm.dll" _
        (ByVal device As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_DeviceMfr
'---------------------------------------------------------------------------
Public Declare Function USBm_DeviceMfr _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal manufacturer As String) _
    As Integer


'---------------------------------------------------------------------------
' USBm_DeviceProd
'---------------------------------------------------------------------------
Public Declare Function USBm_DeviceProd _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal product As String) _
    As Integer


'---------------------------------------------------------------------------
' USBm_DeviceSer
'---------------------------------------------------------------------------
Public Declare Function USBm_DeviceSer _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal product As String) _
    As Integer


'---------------------------------------------------------------------------
' USBm_RecentError
'---------------------------------------------------------------------------
Public Declare Function USBm_RecentError _
    Lib "USBm.dll" _
        (ByVal errorstring As String) _
    As Integer


'---------------------------------------------------------------------------
' USBm_ClearRecentError
'---------------------------------------------------------------------------
Public Declare Function USBm_ClearRecentError _
    Lib "USBm.dll" _
        () _
    As Integer


'---------------------------------------------------------------------------
' USBm_DebugString
'---------------------------------------------------------------------------
Public Declare Function USBm_DebugString _
    Lib "USBm.dll" _
        (ByVal debugstrng As String) _
    As Integer


'---------------------------------------------------------------------------
' USBm_WriteDevice
'---------------------------------------------------------------------------
Public Declare Function USBm_WriteDevice _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_ReadDevice
'---------------------------------------------------------------------------
Public Declare Function USBm_ReadDevice _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_SetReadTimeout
'---------------------------------------------------------------------------
Public Declare Function USBm_SetReadTimeout _
    Lib "USBm.dll" _
        (ByVal timeout As Integer) _
    As Integer


'---------------------------------------------------------------------------
' USBm_FindDevices
'---------------------------------------------------------------------------
Public Declare Function USBm_FindDevices _
    Lib "USBm.dll" _
        () _
    As Integer


'---------------------------------------------------------------------------
' USBm_CloseDevice
'---------------------------------------------------------------------------
Public Declare Function USBm_CloseDevice _
    Lib "USBm.dll" _
        (ByVal device As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_Copyright
'---------------------------------------------------------------------------
Public Declare Function USBm_Copyright _
    Lib "USBm.dll" _
        (ByVal copyrightstring As String) _
    As Integer


'---------------------------------------------------------------------------
' USBm_About
'---------------------------------------------------------------------------
Public Declare Function USBm_About _
    Lib "USBm.dll" _
        (ByVal errorstring As String) _
    As Integer


'---------------------------------------------------------------------------
' USBm_Version
'---------------------------------------------------------------------------
Public Declare Function USBm_Version _
    Lib "USBm.dll" _
        (ByVal versionstring As String) _
    As Integer


'---------------------------------------------------------------------------
' USBm_InitPorts
'---------------------------------------------------------------------------
Public Declare Function USBm_InitPorts _
    Lib "USBm.dll" _
        (ByVal device As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_WriteA
'---------------------------------------------------------------------------
Public Declare Function USBm_WriteA _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_WriteB
'---------------------------------------------------------------------------
Public Declare Function USBm_WriteB _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_WriteABit
'---------------------------------------------------------------------------
Public Declare Function USBm_WriteABit _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal and_term As Byte, _
        ByVal or_term As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_WriteBBit
'---------------------------------------------------------------------------
Public Declare Function USBm_WriteBBit _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal and_term As Byte, _
        ByVal or_term As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_ReadA
'---------------------------------------------------------------------------
Public Declare Function USBm_ReadA _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_ReadB
'---------------------------------------------------------------------------
Public Declare Function USBm_ReadB _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_SetBit
'---------------------------------------------------------------------------
Public Declare Function USBm_SetBit _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal Bit As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_ResetBit
'---------------------------------------------------------------------------
Public Declare Function USBm_ResetBit _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal Bit As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_DirectionA
'---------------------------------------------------------------------------
Public Declare Function USBm_DirectionA _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal dir0 As Byte, _
        ByVal dir1 As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_DirectionB
'---------------------------------------------------------------------------
Public Declare Function USBm_DirectionB _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal dir0 As Byte, _
        ByVal dir1 As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_StrobeWrite
'---------------------------------------------------------------------------
Public Declare Function USBm_StrobeWrite _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal data As Byte, _
        ByVal port As Byte, _
        ByVal sel As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_StrobeRead
'---------------------------------------------------------------------------
Public Declare Function USBm_StrobeRead _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef data As Byte, _
        ByVal port As Byte, _
        ByVal sel As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_StrobeWrite2
'---------------------------------------------------------------------------
Public Declare Function USBm_StrobeWrite2 _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal data As Byte, _
        ByVal port As Byte, _
        ByVal sel As Byte, _
        ByVal length As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_StrobeRead2
'---------------------------------------------------------------------------
Public Declare Function USBm_StrobeRead2 _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef data As Byte, _
        ByVal port As Byte, _
        ByVal sel As Byte, _
        ByVal length As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_StrobeWrites
'---------------------------------------------------------------------------
Public Declare Function USBm_StrobeWrites _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef count As Byte, _
        ByRef data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_StrobeReads
'---------------------------------------------------------------------------
Public Declare Function USBm_StrobeReads _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef count As Byte, _
        ByRef data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_InitLCD
'---------------------------------------------------------------------------
Public Declare Function USBm_InitLCD _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal sel As Byte, _
        ByVal port As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_LCDCmd
'---------------------------------------------------------------------------
Public Declare Function USBm_LCDCmd _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_LCDData
'---------------------------------------------------------------------------
Public Declare Function USBm_LCDData _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_InitSPI
'---------------------------------------------------------------------------
Public Declare Function USBm_InitSPI _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_SPIMaster
'---------------------------------------------------------------------------
Public Declare Function USBm_SPIMaster _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef count As Byte, _
        ByRef data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_SPISlaveWrite
'---------------------------------------------------------------------------
Public Declare Function USBm_SPISlaveWrite _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal index As Byte, _
        ByRef data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_SPISlaveRead
'---------------------------------------------------------------------------
Public Declare Function USBm_SPISlaveRead _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef count As Byte, _
        ByRef data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_Stepper
'---------------------------------------------------------------------------
Public Declare Function USBm_Stepper _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal channel As Byte, _
        ByVal enable As Byte, _
        ByVal direction As Byte, _
        ByVal steptype As Byte, _
        ByVal initial As Byte, _
        ByVal steprate As Byte, _
        ByVal steps As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_Reset1Wire
'---------------------------------------------------------------------------
Public Declare Function USBm_Reset1Wire _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_Write1Wire
'---------------------------------------------------------------------------
Public Declare Function USBm_Write1Wire _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_Read1Wire
'---------------------------------------------------------------------------
Public Declare Function USBm_Read1Wire _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_Write1WireBit
'---------------------------------------------------------------------------
Public Declare Function USBm_Write1WireBit _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByVal data As Byte) _
    As Integer


'---------------------------------------------------------------------------
' USBm_Read1WireBit
'---------------------------------------------------------------------------
Public Declare Function USBm_Read1WireBit _
    Lib "USBm.dll" _
        (ByVal device As Byte, _
        ByRef data As Byte) _
    As Integer





